<?php
/**
*
* @author Shredder
* @version $Id$
* @copyright (c) 2013 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'CHANGE_POST_TIME';
$language_file = 'mods/info_acp_cpt';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'change_post_time_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.1' => array(
		'custom'	=> 'mod_info',

		'permission_add' => array(
			array('m_chgposttime', 1),
		),

		'permission_set' => array(
			array('ROLE_MOD_FULL', 'm_chgposttime'),
		),
	),

	'1.0.2' => array(
	),

	'1.0.3' => array(
	),

	'1.0.4' => array(
		'cache_purge' => array(),
	),
);


function mod_info($action)
{
	global $user;

	$message = $user->lang['PHPBB_WORK_SUPPORT'];

	return $message;
}

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>